package net.northking.cctp.project.dto.process;


import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

public class StatusRoleDto implements Serializable {

    @ApiModelProperty(value = "系统id")
    private String projectId;

    @ApiModelProperty(value = "流程id")
    private String processId;

    @ApiModelProperty(value = "缺陷状态值")
    private String status;

    @ApiModelProperty(value = "是否初始状态", required = true)
    private Boolean initialState = false;

    @ApiModelProperty(value = "是否结束状态", required = true)
    private Boolean finishedState = false;

    @ApiModelProperty(value = "角色列表")
    private List<String> roleList;

    @ApiModelProperty(value = "当前选中的用户")
    private String selectedUserId;

    private String tenantId;
    //查询初态流程id为空时是否需要从字典中拿状态
    private Boolean includeDic;

    public Boolean getIncludeDic() {
        return includeDic;
    }

    public void setIncludeDic(Boolean includeDic) {
        this.includeDic = includeDic;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public Boolean getInitialState() {
        return initialState;
    }

    public void setInitialState(Boolean initialState) {
        this.initialState = initialState;
    }

    public Boolean getFinishedState() {
        return finishedState;
    }

    public void setFinishedState(Boolean finishedState) {
        this.finishedState = finishedState;
    }

    public List<String> getRoleList() {
        return roleList;
    }

    public void setRoleList(List<String> roleList) {
        this.roleList = roleList;
    }

    public String getSelectedUserId() {
        return selectedUserId;
    }

    public void setSelectedUserId(String selectedUserId) {
        this.selectedUserId = selectedUserId;
    }

    public StatusRoleDto(){}

}
